Page MenuHomePhabricator

Score: Replace "getSelectedItem" with "findSelectedItem"
Closed, ResolvedPublic

Description

We would like to rename some get() functions for naming consistency.

Replace instances of getSelectedItem with findSelectedItem in modules/ve-score/ve.ui.MWScoreInspector.js in MediaWiki's Score extension.

You are expected to provide a patch in Wikimedia Gerrit. See https://www.mediawiki.org/wiki/Gerrit/Tutorial for how to set up Git and Gerrit.

Event Timeline

Prtksxna triaged this task as Medium priority.Jan 3 2018, 6:20 AM
Prtksxna lowered the priority of this task from Medium to Lowest.
Prtksxna created this task.
Aklapper updated the task description. (Show Details)Jan 3 2018, 4:11 PM

Change 403306 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions/Score@master] Score: Replace "getSelectedItem" with "findSelectedItem"

https://gerrit.wikimedia.org/r/403306

Kizule claimed this task.Jan 9 2018, 10:15 PM
Restricted Application added a project: User-Kizule. · View Herald TranscriptJan 9 2018, 10:15 PM
Kizule moved this task from Backlog to Doing on the OOUI board.Jan 9 2018, 10:20 PM

Change 403306 abandoned by Zoranzoki21:
Replace "getSelectedItem" with "findSelectedItem"

Reason:
Per comment of Prtksxna

https://gerrit.wikimedia.org/r/403306

Change 403306 restored by Zoranzoki21:
Replace "getSelectedItem" with "findSelectedItem"

Reason:
Oh, ok than

https://gerrit.wikimedia.org/r/403306

Jdforrester-WMF closed this task as Resolved.Jan 10 2018, 8:14 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Thank you!

Change 403306 merged by jenkins-bot:
[mediawiki/extensions/Score@master] Replace "getSelectedItem" with "findSelectedItem" for consistency

https://gerrit.wikimedia.org/r/403306

Ebe123 added a subscriber: Ebe123.Jan 12 2018, 4:28 AM